{% extends "base.html" %}
{% load static %}
{% load seawatch_registration_tags %}
{% block title %}
  {{ volunteer.name }} ♦ {{ block.super }}
{% endblock title %}
{% block container-content %}
  <div id="main-content"
       style="display: grid;
              grid-template-columns: 250px 1fr">
    <aside class="sidebar-nav"
           style="background-color: #dbebf3;
                  padding: 1rem 10px">
      <div style="text-align: right;">
        <img id="sideBarToggleButton" style="transform: rotate(90deg)" height="24" width="24" alt="" src="{% static "vendor/material-icons/unfold_more.svg" %}">
      </div>
      {% include "base-volunteer-details--sidebar-header.html" %}
      <ul style="margin: 50px 5px 0px 5px; list-style: none; padding: 0px">
        <li>
          <a href="{% url "volunteer_detail" pk=volunteer.id %}"
             {% if current_active_subpage == "personal details" %}class="active"{% endif %}>
            <img height="24" width="24" alt="" src="{% static "vendor/material-icons/account_circle_FILL1_wght400_GRAD0_opsz48.svg" %}">
            <p class="description">Personal Details</p>
          </a>
        </li>
        <li>
          <a href="{% url "volunteer_comments" volunteer_id=volunteer.id %}"
             {% if current_active_subpage == "comments" %}class="active"{% endif %}>
            <img height="24" width="24" alt="" src="{% static "vendor/material-icons/comment_FILL1_wght400_GRAD0_opsz48.svg" %}">
            <p class="description">Comments</p>
          </a>
        </li>
        <li>
          <a href="{% url "volunteer_experience" volunteer_id=volunteer.id %}"
             {% if current_active_subpage == "experiences" %}class="active"{% endif %}>
            <img height="24" width="24" alt="" src="{% static "vendor/material-icons/verified_FILL1_wght400_GRAD0_opsz48.svg" %}">
            <p class="description">SAR Experience</p>
          </a>
        </li>
        <li>
          <a href="{% url "volunteer_qualification" volunteer_id=volunteer.id %}"
             {% if current_active_subpage == "qualification" %}class="active"{% endif %}>
            <img height="24" width="24" alt="" src="{% static "vendor/material-icons/badge.svg" %}">
            <p class="description">Qualification</p>
          </a>
        </li>
        <li>
          <a href="{% url "volunteer_documents" volunteer_id=volunteer.id %}"
             {% if current_active_subpage == "documents" %}class="active"{% endif %}>
            <img height="24" width="24" alt="" src="{% static "vendor/material-icons/folder.svg" %}">
            <p class="description">Documents</p>
          </a>
        </li>
      </ul>
    </aside>
    <div id="main-content" style="margin: 60px">
      {% block profile-content %}{% endblock %}
    </div>
  </div>
  <style>
  .hidden {
      display: none;
  }

  .small-sidebar-nav {
      width: 90px;
  }
  </style>
  <script>
  const toggleButton = document.getElementById('sideBarToggleButton');
  const descriptions = document.querySelectorAll('.description');
  const sideNav = document.querySelectorAll('.sidebar-nav');

  function toggleNav() {
    sideNav.forEach(nav => {
        nav.classList.toggle('small-sidebar-nav');
    });
    descriptions.forEach(description => {
        description.classList.toggle('hidden');
    });
  }


  toggleButton.addEventListener('click', function() {
    toggleNav();
  });
  function checkScreenSize() {
    if (window.innerWidth < 1450) {
        toggleNav();
    }
  };
  checkScreenSize();
  </script>
{% endblock %}
